Skip to content
Uranus Docs
Esc
↑↓navigate↵open⌘Jpreview

4. Get event details

Returns a single event. If no event date is explicitly requested, the API selects the nearest upcoming date. If there is no upcoming date, the latest past date is selected. Public users can access events with the statuses released, cancelled, deferred and rescheduled. Users with appropriate event organizer permissions may also access draft and review events.

GET/api/event/{eventUuid}
Path parameters
eventUuidstring<uuid>required

Event UUID.

Query parameters
langstring

Content language.

default: "en"
Responses
200

Event successfully retrieved.

uuidstring<uuid>
release_statusstring
Allowed:draftreviewreleasedcancelleddeferredrescheduled
content_languagestring
titlestring
subtitlestring | any
Show properties
Any of:
string
string
any
any
descriptionstring | any
Show properties
Any of:
string
string
any
any
summarystring | any
Show properties
Any of:
string
string
any
any
source_urlstring<uri> | any
Show properties
Any of:
string<uri>
string<uri>
any
any
participation_infostring | any
Show properties
Any of:
string
string
any
any
online_linkstring<uri> | any
Show properties
Any of:
string<uri>
string<uri>
any
any
registration_linkstring<uri> | any
Show properties
Any of:
string<uri>
string<uri>
any
any
registration_emailstring | any
Show properties
Any of:
string
string
any
any
registration_phonestring | any
Show properties
Any of:
string
string
any
any
registration_deadlinestring<date-time> | any
Show properties
Any of:
string<date-time>
string<date-time>
any
any
meeting_pointstring | any
Show properties
Any of:
string
string
any
any
languagesstring[]
tagsstring[]
max_attendeesinteger | any
Show properties
Any of:
integer
integer
any
any
min_ageinteger | any
Show properties
Any of:
integer
integer
any
any
max_ageinteger | any
Show properties
Any of:
integer
integer
any
any
currencystring | any
Show properties
Any of:
string
string
any
any
price_typestring | any
Show properties
Any of:
string
string
any
any
min_pricenumber<double> | any
Show properties
Any of:
number<double>
number<double>
any
any
max_pricenumber<double> | any
Show properties
Any of:
number<double>
number<double>
any
any
ticket_flagsstring[]
ticket_linkstring<uri> | any
Show properties
Any of:
string<uri>
string<uri>
any
any
visitor_info_flagsstring[]
org_uuidstring | any
Show properties
Any of:
string
string
any
any
org_namestring | any
Show properties
Any of:
string
string
any
any
org_web_linkstring<uri> | any
Show properties
Any of:
string<uri>
string<uri>
any
any
org_logosGetEvent.Image[]
imagesobject
event_typesGetEvent.EventType[]
event_linksGetEvent.WebLink[]
logo_modeinteger
date_matchboolean

Indicates whether the requested date matched the selected event date.

dateobject | any
Show properties
Any of:
object
uuidstring<uuid>
event_uuidstring<uuid>
event_release_statusstring
Allowed:draftreviewreleasedcancelleddeferredrescheduled
start_datestring<date>
start_timestring | any
Show properties
Any of:
string
string
any
any
end_datestring<date> | any
Show properties
Any of:
string<date>
string<date>
any
any
end_timestring | any
Show properties
Any of:
string
string
any
any
entry_timestring | any
Show properties
Any of:
string
string
any
any
durationinteger | any
Show properties
Any of:
integer
integer
any
any
slugstring

Date slug generated from startDate and startTime.

venue_uuidstring | any
Show properties
Any of:
string
string
any
any
venue_namestring | any
Show properties
Any of:
string
string
any
any
venue_streetstring | any
Show properties
Any of:
string
string
any
any
venue_house_numberstring | any
Show properties
Any of:
string
string
any
any
venue_postal_codestring | any
Show properties
Any of:
string
string
any
any
venue_citystring | any
Show properties
Any of:
string
string
any
any
venue_countrystring | any
Show properties
Any of:
string
string
any
any
venue_statestring | any
Show properties
Any of:
string
string
any
any
venue_lonnumber<double> | any
Show properties
Any of:
number<double>
number<double>
any
any
venue_latnumber<double> | any
Show properties
Any of:
number<double>
number<double>
any
any
venue_web_linkstring<uri> | any
Show properties
Any of:
string<uri>
string<uri>
any
any
venue_slugstring | any
Show properties
Any of:
string
string
any
any
venue_logosGetEvent.Image[]
space_uuidstring | any
Show properties
Any of:
string
string
any
any
space_namestring | any
Show properties
Any of:
string
string
any
any
total_capacityinteger | any
Show properties
Any of:
integer
integer
any
any
seating_capacityinteger | any
Show properties
Any of:
integer
integer
any
any
building_levelstring | any
Show properties
Any of:
string
string
any
any
space_web_linkstring<uri> | any
Show properties
Any of:
string<uri>
string<uri>
any
any
accessibility_flagsstring | any
Show properties
Any of:
string
string
any
any
accessibility_summarystring | any
Show properties
Any of:
string
string
any
any
accessibility_infostring | any
Show properties
Any of:
string
string
any
any
any
any
further_datesGetEvent.EventDate[]
Show properties
Array of GetEvent.EventDate
uuidstring<uuid>
event_uuidstring<uuid>
event_release_statusstring
Allowed:draftreviewreleasedcancelleddeferredrescheduled
start_datestring<date>
start_timestring | any
Show properties
Any of:
string
string
any
any
end_datestring<date> | any
Show properties
Any of:
string<date>
string<date>
any
any
end_timestring | any
Show properties
Any of:
string
string
any
any
entry_timestring | any
Show properties
Any of:
string
string
any
any
durationinteger | any
Show properties
Any of:
integer
integer
any
any
slugstring

Date slug generated from startDate and startTime.

venue_uuidstring | any
Show properties
Any of:
string
string
any
any
venue_namestring | any
Show properties
Any of:
string
string
any
any
venue_streetstring | any
Show properties
Any of:
string
string
any
any
venue_house_numberstring | any
Show properties
Any of:
string
string
any
any
venue_postal_codestring | any
Show properties
Any of:
string
string
any
any
venue_citystring | any
Show properties
Any of:
string
string
any
any
venue_countrystring | any
Show properties
Any of:
string
string
any
any
venue_statestring | any
Show properties
Any of:
string
string
any
any
venue_lonnumber<double> | any
Show properties
Any of:
number<double>
number<double>
any
any
venue_latnumber<double> | any
Show properties
Any of:
number<double>
number<double>
any
any
venue_web_linkstring<uri> | any
Show properties
Any of:
string<uri>
string<uri>
any
any
venue_slugstring | any
Show properties
Any of:
string
string
any
any
venue_logosGetEvent.Image[]
space_uuidstring | any
Show properties
Any of:
string
string
any
any
space_namestring | any
Show properties
Any of:
string
string
any
any
total_capacityinteger | any
Show properties
Any of:
integer
integer
any
any
seating_capacityinteger | any
Show properties
Any of:
integer
integer
any
any
building_levelstring | any
Show properties
Any of:
string
string
any
any
space_web_linkstring<uri> | any
Show properties
Any of:
string<uri>
string<uri>
any
any
accessibility_flagsstring | any
Show properties
Any of:
string
string
any
any
accessibility_summarystring | any
Show properties
Any of:
string
string
any
any
accessibility_infostring | any
Show properties
Any of:
string
string
any
any
404

Event not found.

500

Internal server error.

Try it
Server
Parameters
Request
curl -X GET "https://api.kulturbytes.de/api/event/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Response
{
  "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  "release_status": "draft",
  "content_language": "string",
  "title": "string",
  "subtitle": "string",
  "description": "string",
  "summary": "string",
  "source_url": "http://example.com",
  "participation_info": "string",
  "online_link": "http://example.com",
  "registration_link": "http://example.com",
  "registration_email": "string",
  "registration_phone": "string",
  "registration_deadline": "2019-08-24T14:15:22Z",
  "meeting_point": "string",
  "languages": [
    "string"
  ],
  "tags": [
    "string"
  ],
  "max_attendees": 0,
  "min_age": 0,
  "max_age": 0,
  "currency": "string",
  "price_type": "string",
  "min_price": 0.1,
  "max_price": 0.1,
  "ticket_flags": [
    "advance_ticket"
  ],
  "ticket_link": "http://example.com",
  "visitor_info_flags": [
    "string"
  ],
  "org_uuid": "string",
  "org_name": "string",
  "org_web_link": "http://example.com",
  "org_logos": [
    {}
  ],
  "images": {},
  "event_types": [
    {}
  ],
  "event_links": [
    {}
  ],
  "logo_mode": 0,
  "date_match": true,
  "date": {
    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
    "event_uuid": "edeeb604-9b4c-4f9d-8619-8d1d70caf94c",
    "event_release_status": "draft",
    "start_date": "2019-08-24",
    "start_time": "19:30",
    "end_date": "2019-08-24",
    "end_time": "22:00",
    "entry_time": "19:00",
    "duration": 0,
    "slug": "202609301900",
    "venue_uuid": "string",
    "venue_name": "string",
    "venue_street": "string",
    "venue_house_number": "string",
    "venue_postal_code": "string",
    "venue_city": "string",
    "venue_country": "string",
    "venue_state": "string",
    "venue_lon": 0.1,
    "venue_lat": 0.1,
    "venue_web_link": "http://example.com",
    "venue_slug": "string",
    "venue_logos": [
      {}
    ],
    "space_uuid": "string",
    "space_name": "string",
    "total_capacity": 0,
    "seating_capacity": 0,
    "building_level": "string",
    "space_web_link": "http://example.com",
    "accessibility_flags": "string",
    "accessibility_summary": "string",
    "accessibility_info": "string"
  },
  "further_dates": [
    {
      "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
      "event_uuid": "edeeb604-9b4c-4f9d-8619-8d1d70caf94c",
      "event_release_status": "draft",
      "start_date": "2019-08-24",
      "start_time": "19:30",
      "end_date": "2019-08-24",
      "end_time": "22:00",
      "entry_time": "19:00",
      "duration": 0,
      "slug": "202609301900",
      "venue_uuid": "string",
      "venue_name": "string",
      "venue_street": "string",
      "venue_house_number": "string",
      "venue_postal_code": "string",
      "venue_city": "string",
      "venue_country": "string",
      "venue_state": "string",
      "venue_lon": 0.1,
      "venue_lat": 0.1,
      "venue_web_link": "http://example.com",
      "venue_slug": "string",
      "venue_logos": [
        {}
      ],
      "space_uuid": "string",
      "space_name": "string",
      "total_capacity": 0,
      "seating_capacity": 0,
      "building_level": "string",
      "space_web_link": "http://example.com",
      "accessibility_flags": "string",
      "accessibility_summary": "string",
      "accessibility_info": "string"
    }
  ]
}